-- credits
-- ™ and © 2006,2007 NAKET Coder
-- programed by nasir
-- character by Max Miedinger
-- scenario by A Tribe Called Quest

local t = Def.ActorFrame {
	Def.ActorScroller {
		NumItemsToDraw = 52;
		SecondsPerItem = 1.25;
		TransformFunction = function( self, offset, itemIndex, numItems )
			self:y( offset*80 );
		end;
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_BOTTOM);
		OnCommand=cmd(zoom,0.8;scrollwithpadding,1,10);
		children={
			LoadActor( THEME:GetPathG("ScreenTitleMenu", GAMESTATE:GetCurrentGame():GetName()) );
			LoadFont("","_helvetica") ..{
				Text="Bleeding Heart Liberal edition";
				OnCommand=cmd(shadowlength,0);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_helvetica") ..{
				Text="a NAKET Coder Production";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_digital sans") ..{
				Text="Theming Work";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="NAKET Coder";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Anonymous Zig";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Synikal";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_digital sans") ..{
				Text="Graphics";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="NAKET Coder";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Vacant Vagrant";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_digital sans") ..{
				Text="Sound";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="random stuff from the net";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_digital sans") ..{
				Text="Music";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Scratch Massive - Girls on the Top (break mix)";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Straylight Productions - Unreal Tournament menu theme";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="bombsq.wav (Sampled from Foregone Destruction)";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Michiel van den Bos - Foregone Destruction";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Michiel van den Bos - Skyward Fire";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Jj,,ks, Th,,lion - Esencia opal";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Max Warren - We'll Be There";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_digital sans") ..{
				Text="Test Locations";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="9 on the Break - Ellen Degeneres, New York";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Illusions and Mirages - Sahara Desert, Egypt";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="not TGA, they wouldn't let me install it";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Rumiko Takahashi's house - somewhere in Japan";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="RoXor World HQ - Dallas, Texas";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Bi Gals, in the Pump Pro machine";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_digital sans") ..{
				Text="Thanks To";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="The Three Anonymous Donors";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="The StepMania Underground";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="sherl0k, xybur, setzer";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Epic Games";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="all the NAKET Coders";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_helvetica") ..{ Text="" };
			LoadFont("","_helvetica") ..{ Text="" };
			
			LoadFont("","_helvetica") ..{
				Text="NAKET Coder Revolution";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Bleeding Heart Liberal";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Copyright 2006-2007 NAKET Coder";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
			LoadFont("","_helvetica") ..{
				Text="Copyright 2006-2007 StepMania Underground";
				OnCommand=cmd(shadowlength,0;zoom,0.5);
			};
		};
	};
};

return t;